summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobert Peichaer <rpe@cvs.openbsd.org>2014-07-20 08:37:08 +0000
committerRobert Peichaer <rpe@cvs.openbsd.org>2014-07-20 08:37:08 +0000
commited1bc543945a7fe165e416655fdb1240f4b578db (patch)
treefc0696ef4de0b8ae1daadded3c50995d85535b20
parent8436980630c69aa4c42e3910a7ec7644b86f1c23 (diff)
Stop using the (now) internal rc.subr functions _rc_do() and _rc_wait().
- no need to start spamd in background mode - return from rc_start() in case spamd failed to start - execute spamd-setup without explicitly waiting for spamd prodded by, discussed with and OK ajacoutot@
-rw-r--r--etc/rc.d/spamd6
1 files changed, 3 insertions, 3 deletions
diff --git a/etc/rc.d/spamd b/etc/rc.d/spamd
index e8183f58fee..cbdb4cc0c58 100644
--- a/etc/rc.d/spamd
+++ b/etc/rc.d/spamd
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# $OpenBSD: spamd,v 1.5 2014/07/17 15:00:06 ajacoutot Exp $
+# $OpenBSD: spamd,v 1.6 2014/07/20 08:37:07 rpe Exp $
daemon="/usr/libexec/spamd"
@@ -16,11 +16,11 @@ rc_pre() {
}
rc_start() {
- ${rcexec} "${daemon} ${daemon_flags} ${_bg}"
+ ${rcexec} "${daemon} ${daemon_flags}" || return 1
spamd_setup_flags="-D"
[ X"${spamd_black}" != X"NO" ] && \
spamd_setup_flags="-b ${spamd_setup_flags}"
- _rc_do _rc_wait start && /usr/libexec/spamd-setup ${spamd_setup_flags}
+ /usr/libexec/spamd-setup ${spamd_setup_flags}
}
rc_cmd $1